Subject: Re: bug#7190: Crash in menus on w32

From: Eli Zaretskii <[email-masked]>
Date: Wed, 13 Oct 2010 07:30:33 -0400

> From: Lennart Borgman <[email-masked]>
> Date: Tue, 12 Oct 2010 22:49:11 +0200
> Cc: [email-masked]
> 
> On Tue, Oct 12, 2010 at 10:14 PM, Eli Zaretskii <[email-masked]> wrote:
> >>
> >> I mean that the failing code is among the code handling menus in Emacs.
> >
> > Yes.  But how does that help with adding debug prints?  The code that
> > handles menus is spread across several nontrivial functions, and we
> > have no idea which of them causes the problem and where.
> 
> I assume that their is either a logical problem with the code inside
> Emacs or a bad assumption on how menu callbacks are actually run. By
> adding DebPrint call we could perhaps see if some code where called in
> an order we did not expect.

Good luck doing that; without at least some idea where the problem
happens, I would be unable to recommend where to put such DebPrint's
or what to print.